/**!
 * Copyright  2016 - Seafrigo NA Coldstorage, Inc
 */

.form-login {
    height: 100%;
    margin: auto;
}

.page-title {
    color: rgba(255, 255, 255, 0.7);
    background-color: #3A9D23;
    padding: 20px;
}

.table-overview td {
    width: 20%;
    font-size: 18px;
    text-align: center;
    border: 0 !important;
    color: #333;
}

.img-center {
    margin: 0 auto;
    width: 64px;
}

.img-index {
    margin: 0 auto;
}

.btn-right {
    float: right;
    position: relative;
    bottom: 6px;
    right: -11px;
}

.td-status-img-saved {
    background: url('../img/in_folder.png') center center no-repeat;
    width: 58px !important;
    background-size: 48px;
}

.td-status-img-in-preparation {
    background: url('../img/fork_2.gif') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-delivered {
    background: url('../img/warehouse_checkmark.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-shipped,
.td-status-img-in-progress {
    background: url('../img/logistic_in_progress.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-scheduled {
    background: url('../img/if_calendar_1055101.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-short {
    background: url('../img/short.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-cancelled {
    background: url('../img/cancelled.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-processing {
    background: url('../img/processing.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-validated {
    background: url('../img/validated.png') center center no-repeat;
    width: 58px;
    background-size: 48px;
}

.td-status-img-proc-in-progress {
    background: url('../img/noun_Processing_1057841.png') center center no-repeat;
    width: 58px !important;
    background-size: 48px;
}

.td-status-img-proc-done {
    background: url('../img/noun_progress_427547.png') center center no-repeat;
    width: 58px !important;
    background-size: 48px;
}

.td-img-status img {
    vertical-align: 50%;
}

.table-orders {
    text-align: center;
    border: 1px #CCC solid;
}

.table-orders>tbody>tr>td {
    border: 0 none;
    border-top: 0 none;
    border-right: 1px #CCC solid;
}

.table-orders>tbody>tr>td.td-orders-header {
    border-bottom: 1px #CCC solid;
}

.img-order {
    float: left;
    margin: 5px;
    width: 48px;
}

.img-invoice {
    float: left;
    width: 48px;
}

.col-middle {
    text-align: center !important;
}

.table-history-lot>tbody>tr>th {
    text-align: center;
    background-color: #EEE;
}

.table-history-lot>tbody>tr>td {
    text-align: center;
}

.table-stocks {
    border: 1px solid #CCC;
}

.table-stocks>tbody>tr>th {
    text-align: center;
    background-color: #EEE;
}

.table-stocks>tbody>tr>td {
    border-top: 0 none;
    border-bottom: 0 none;
    border-left: 1px solid #CCC;
    border-right: 1px solid #CCC;
    text-align: center;
}

.tr-border-bottom>td,
.td-border-bottom {
    border-bottom: 1px solid #CCC !important;
}

.tr-no-border-bottom>td,
.td-no-border-bottom {
    border-bottom: 0 !important;
}

.tr-no-border-top>td,
.td-no-border-top {
    border-top: 0 !important;
}

.text-color-available {
    color: #3A9D23;
}

.text-color-blocked {
    color: #de2824;
}

.text-color-sample {
    color: #de7a19;
}

.text-color-affected {
    color: #337AB7;
}

.img-link {
    cursor: pointer;
}

.align-right {
    float: right;
    padding-right: 15px;
}

.list-group-item-info {
    background: white;
    color: #3A9D23;
}

.img-notification {
    float: left;
    width: 48px;
}

.popover {
    min-width: 200px !important;
}

.img-inline {
    display: inline;
}

.user-add-btn {
    text-align: center;
    margin: 15px auto;
}

.small-password {
    width: 90%;
	text-align: end;
	display: block;
	margin-top: -30px;
	margin-bottom: 15px;
}

.small-information {
    margin-bottom: 10px;
    margin-top: -15px;
    text-align: right;
    font-size: 75%;
}

.td-trucking-booking {
    background-color: #E8E8E8;
}

.td-trucking-status {
    vertical-align: middle !important;
    text-align: center;
}

.td-truck-orders {
    margin-left: 30%;
}

.td-img-1 {
    width: 58px;
}

.list-notification {
    text-align: left;
    margin-top: 10px;
    font-weight: bold;
}

.list-notification-inner {
    text-align: left;
    margin-bottom: 5px;
    font-weight: bold;
}

.div-extract {
    text-align: center;
    margin-bottom: 10px;
}

.div-hold-pills>ul>li {
    min-width: 100px;
}

#table-select-lots td {
	vertical-align: middle;
}

.label-middle {
    text-align: center;
}

.label-center {
    text-align: center;
}

.btn-right-margin {
    margin-right: 10px;
}

.dropzone {
    min-height: 115px;
    padding: 15px 15px;
    margin-bottom: 9px;
}

.dropzone .dz-message {
    margin: 1em 0;
}

.dropzone .form-group {
    margin-bottom: 0;
}

.dropzone .dz-preview {
    margin: 5px;
}

.tooltip {
    z-index: 2000 !important;
}

.label-title {
    color: #3A9D23;
}

#selectBookingType {
    font-family: 'FontAwesome', Verdana;
}

.img-type {
    width: 48px;
    margin: auto;
}

.control-label-left {
    padding-top: 7px;
    margin-bottom: 0;
    text-align: left;
}

.dropzone-preview {
    border: 2px dashed #8BBFB1 !important;
    text-align: center;
    color: #3c763d;
}

.table-panel {
    border: 1px #CCC solid;
}

.table-panel>tbody>tr>td {
    border: 0 none;
    border-right: 1px solid #CCC;
}

.table-panel>tbody>tr>td.td-panel-header {
    border-bottom: 1px #CCC solid;
}

.label-tag {
    position: relative;
    margin: 1px;
    display: inline-block;
    line-height: 1.42857143;
}

.label-contact {
    position: relative;
    margin: 1px;
    display: inline-block;
    background-color: #777;
    font-size: 90%;
}

.row-ticketLabel {
    text-align: center;
    margin: 2px;
    font-family: 'FontAwesome', Verdana, sans-serif;
    font-size: large;
}

.label-default-2 {
    background-color: #999;
}

.btn-hide-show-comment {
    cursor: pointer;
}

.link-ticket-list {
    color: #3A9D23;
}

.link-ticket-list:hover,
.link-ticket-list:active,
.link-ticket-list:focus {
    color: #22780F;
    text-decoration: none;
}

.div-comments-count {
    float: right;
}

.div-small-margin-bottom {
    margin-bottom: 10px;
}

#div-waitingGraph {
    padding: 25px;
    text-align: center;
    border: 1px solid #333;
}

.login-img {
    border: 2px solid #07846D;
}

.hiddenRow {
    padding: 0 2% !important;
}

.vAlignMiddle>* {
    vertical-align: middle !important;
}

.min-w-none {
    min-width: unset;
}

.dropdown-toggle {
    cursor: pointer;
}

.dropdown-toggle:hover {
    background-color: #EEE;
}

.px-2 {
    padding-left: 4px;
    padding-right: 4px;
}

a[disabled] img {
    filter: grayscale(100%);
}

a[disabled] {
    cursor: default;
}

a[disabled]:hover,
a[disabled]:active {
    background-color: revert !important;
}

.dropdown-toggle {
    width: fit-content
}

.d-flex {
    display: flex;
}

.d-contents {
    display: contents;
}

.align-items-center {
    align-items: center;
}
.align-items-flex-end {
    align-items: flex-end;
}

.justify-content-between {
    justify-content: space-between;
}
.justify-content-around {
    justify-content: space-around;
}
.flex-direction-column {
    flex-direction: column;
}
.d-none {
    display: none;
}
.justify-content-center {
    justify-content: center;
}
.justify-content-right {
    justify-content: right;
}
.justify-content-left {
    justify-content: left;
}

.flex-column {
    flex-direction: column;
}

.form-check-inline {
    display: inline-block;
}
h3:has(>a>img) {
    width: fit-content !important;
}

.w-100 {
    width: 100%;
}

.flex-flow-wrap {
    flex-flow: wrap;
}

.panel-footer-inventory-filters {
    display: flex;
    justify-content: end;
    column-gap: 5px;
}

/**Extraction **/
.custom-extraction-item .tooltip {
    max-width: 360px;
    min-width: 360px;
}

#div-extraction {
    position: relative;
}
.middle-extraction {
    gap: 10px;
    min-height: 100%;
}
.collapse-link {
    text-decoration: none !important;
    color: black;
}
.cb-collapse {
    cursor: pointer ;
    text-align: center ;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}
.checkbox.cb-collapse.selected {
    border: 1px solid rgb(109, 109, 109);
    background-color:rgb(230, 228, 228);
}
.h3-title {
    text-align: center;
    color: white;
    background-color: #3A9D23;
    font-family: "Segoe UI Light", "Helvetica Neue", "Segoe UI", "Segoe WP", sans-serif !important;
}
.m-0 {
    margin: 0;
}
.h-100 {
    height: 100%;
}
.justify-content-flex-end {
    justify-content: flex-end;
}
.panel-extraction {
    max-height: 350px;
    gap: 10px;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

#div-order-extraction {
    position: absolute;
    height: 100%;
    row-gap: 10px;
    left: calc(100% - 10px);
}

.extractions {
    display: flex;
    justify-content: center;
    gap: 1.5em;
    padding-bottom: 1em;
}

.dropdown {
    position: relative;
}

.dropdown-menu {
    display: none;
    position: absolute;
    left: 0;
    top: 100%;
    background-color: white;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 10px;
    width: max-content;
}

.dropdown-item {
    display: block;
    padding: 5px 10px;
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.dropdown-item:hover {
    text-decoration: none;
    background-color: #f0f0f0;
}

#suggestions {
    display: none;
    border: 1px solid #ccc;
    max-height: 150px;
    overflow-y: auto;
    position: absolute;
    background: #fff;
    width: 200px;
    z-index: 1000;
}

#suggestions div {
    padding: 8px;
    cursor: pointer;
}

#suggestions div:hover {
    background-color: #eee;
}

.suggestion-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px;
    cursor: pointer;
    border-bottom: 1px solid #ddd;
}

.suggestion-item:hover {
    background-color: #f9f9f9;
}

.suggestion-name {
    flex-grow: 1;
}

.trash-icon {
    color: #888;
    cursor: pointer;
    margin-left: 8px;
}

.trash-icon:hover {
    color: #e74c3c;
}

.mt-4 {
    margin-top: 1.5rem;
}
.mb-2 {
    margin-top: 0.5rem;
}

.font-weight-bold {
    font-weight: 700 !important
}

.font-italic {
    font-style: italic !important
}

.align-items-center {
    text-align: center !important
}

.align-items-right {
    text-align: right !important
}

.align-items-left {
    text-align: left !important
}

.div-extract {
    display: flex;
    justify-content: center;
    gap: 1.5em;
    padding-bottom: 1em;
}

.extractionDate-form-group {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
    margin-bottom: 15px;
    padding-left: 10px;
    padding-right: 10px;
}

.extractionDate-form-group > :first-child {
    width: 30%;
}
.extractionDate-form-group > :last-child {
    width: 70%;
}

.tables-header-info.div-extract:not(:has(form:first-child)) {
    justify-content: start;
    padding-left: 0;
    gap: 0;
}
.tables-header-info > form:not(:first-child) {
    margin-left: 1.5em;
}
.tables-header-info:not(:first-child) {
    margin-bottom: 0;
    padding-bottom: 0;
}

.tables-header-info > div {
    text-align: center;
    background-color: #EEE;
    border: 1px solid #ddd;
    padding: 10px 16px;
    font-size: 18px;
    line-height: 1.3333333;
    font-weight: bold;
}

.dropdown {
    position: relative;
}

.dropdown-menu {
    display: none;
    position: absolute;
    left: 0;
    top: 100%;
    background-color: white;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 10px;
    width: max-content;
}

.dropdown-item {
    display: block;
    padding: 5px 10px;
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.dropdown-item:hover {
    text-decoration: none;
    background-color: #f0f0f0;
}
.justify-content-center {
    justify-content: center;
}
.px-0 {
    padding-left: 0;
    padding-right: 0;
}
.container-error {
    color: red;
}
.container-valid {
    color : green
}
.d-none{
    display: none;
}

#notVisibleToClientMessage {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

#notVisibleToClientMessage span {
    padding: 5px;
    font-size: 18px;
}

.width-15percent{
    width: 15%;
}

table#table-linesInbound > tbody > tr > td {
    vertical-align: middle;    
}

.justify-content_space-between{
    justify-content: space-between;
}

.align-items_center{
    align-items: center;
}

.label_category_block{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: xx-large;
}

.btn_hide_show_category_block_content{
    cursor: pointer;
}

.d-none{
    display: none !important;
}

.d-flex{
    display: flex;
}

.d-flex-direction-column{
    flex-direction: column;
}

.marginBottom-10px{
    margin-bottom: 10px;
}

.marginTop-10px{
    margin-top: 10px;
}

.width-100percent{
    width: 100%;
}

.padding-15-15{
    padding: 10px 15px;
}

.justify-content-end{
    justify-content: end;
}

.inputCheckbox{
    cursor: pointer;
}

.checkbox:has(.disabled) {
    display: none;
}

.liste_container{
   overflow: hidden;
}

.h3-nav {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.h3-nav > a {
    display:contents;
}

.h3-nav-component {
    width: 45%;
    text-align: center;
    color: white;
    background-color: #3A9D23;
    font-family: "Segoe UI Light", "Helvetica Neue", "Segoe UI", "Segoe WP", sans-serif !important;
    border: thin solid #3A9D23;
    font-weight: bold;
}

.h3-nav-component:not(.active) {
    background-color: #b4e5a2;
    border-color: #b4e5a2;
    cursor: pointer;
}

.h3-nav-component:not(.active):hover {
    border-color: black;
}

.h3-nav > .h3-nav-component:first-child:last-child {
    width: 100%;
}

.form-group > div:has(.alert) {
    padding-right: 15px;
}

.form-group > div > .alert {
    padding-top: 6px;
    padding-bottom: 6px;
    margin: 0;
    height: 100%;
}

.nameInputErrorText {
    display: none;;
}

.marginBottom-15px{
    margin-bottom: 15px;
}

.dataTables_scrollHead{
    overflow: scroll !important;
    width: 100% !important;
}

.dataTables_scrollBody{
    width: 100% !important;
}

#header-tables {
    display: flex;
    width: 100%;
}
#header-tables table {
    flex-shrink: 1;
}
#header-tables td, #header-tables th {
    vertical-align: middle;
}
#table-header-lot {
    min-width: 66.67%;
}
#table-header-lot ~ div {
    min-width: 33.33%;
}
#table-header-sea, #table-header-meat {
    margin-bottom: 0;
}
#header-tables table tr:first-child th {
    background-color: #EEE;
}
.lotHistory-totalRow th {
    white-space: nowrap;
}
.pdf-col {
    width: 60px;
}
.checkbox-cell {
    text-align: center;
}
.align-center-cell {
    vertical-align: middle !important;
}
.justify-content-around {
    justify-content: space-around;
}
.d-none {
    display: none !important;
}
.flex-wrap {
    flex-wrap: wrap;
}

#table-linesInbound th {
    white-space: nowrap;
}
.truncated {
    overflow: hidden;          /* Cache ce qui dépasse */
    text-overflow: ellipsis;   /* Ajoute les "..." */
    max-width: 100%;
    width: fit-content;
}

.customsWarning {
    color: red;
    font-weight: bold;
}
